# $Revision: 1.20 $, $Date: 2008/07/14 17:32:42 $
Summary:	LZF compression library
Summary(pl.UTF-8):	Biblioteka kompresji LZF
Name:		liblzf
Version:	3.2
Release:	1
Epoch:		1
License:	BSD-like (or GPL v2 for core - see LICENSE)
Group:		Libraries
Source0:	http://www.goof.com/pcg/marc/data/%{name}-%{version}.tar.gz
# Source0-md5:	1044a4783a2b15d6002471fd35be2685
Patch0:		%{name}-shared.patch
URL:		http://www.goof.com/pcg/marc/liblzf.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZF is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The library is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this library into commercial programs. It
is believed that it is free from any patents.

%description -l pl.UTF-8
LZF jest ekstremalnie szybkim (nie tak dużo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programów, które chcą
zaoszczędzić *trochę* miejsca, ale nie kosztem szybkości. Jest idealny
dla powtarzających się danych. Biblioteka jest mała i nie wymaga
żadnej dodatkowej dużej biblioteki. Jest wolnodostępna, więc nie
powinno być problemów z wykorzystaniem go w komercyjnych programach.
Według aktualnego stanu wiedzy algorytm jest wolny od patentów.

%package devel
Summary:	Header files for liblzf
Summary(pl.UTF-8):	Pliki nagłówkowe liblzf
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libzlf.

%description devel -l pl.UTF-8
Pliki nagłówkowe liblzf.

%package static
Summary:	Static liblzf library
Summary(pl.UTF-8):	Statyczna biblioteka liblzf
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of liblzf library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki liblzf.

%prep
%setup -q
%patch0 -p1

%build
mv -f config.h.in acconfig.h
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_bindir}/lzf
%attr(755,root,root) %{_libdir}/liblzf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblzf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblzf.so
%{_libdir}/liblzf.la
%{_includedir}/lzf.h

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzf.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblzf.spec,v $
Revision 1.20  2008/07/14 17:32:42  qboosh
- updated to 3.2

Revision 1.19  2007/12/16 18:47:01  qboosh
- updated to 3.1

Revision 1.18  2007-02-19 20:06:50  qboosh
- updated to 2.0, updated shared patch

Revision 1.17  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.15  2006/12/14 08:45:36  qboosh
- epoch 1 for upgrade from 1.51

Revision 1.14  2006/12/13 22:45:27  glen
- 1.7

Revision 1.13  2006/12/13 22:44:07  glen
- update to 1.6

Revision 1.12  2005/10/21 09:29:15  qboosh
- updated to 1.51

Revision 1.11  2005/03/29 17:02:19  qboosh
- updated to 1.5, updated shared patch

Revision 1.10  2004/12/26 12:51:06  darekr
- updated to 1.4

Revision 1.9  2004/04/10 19:11:03  qboosh
- updated to 1.3, strict internal deps

Revision 1.8  2004/01/27 20:55:06  qboosh
- updated to 1.2 liblzf.spec, updated shared patch and URL

Revision 1.7  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/07 23:09:19  qboosh
- 1.0

Revision 1.4  2002/11/25 14:16:55  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.2  2002/07/27 18:32:13  kloczek
- release 2: typo in %postun.

Revision 1.1  2002/07/27 11:34:09  qboosh
- new; added patch with automake support to generate shared library
